
@interface Controller : NSObject
{
    IBOutlet id historyMenu;
}
- (void)dealloc;
- (void)applicationDidFinishLaunching:(NSNotification *)aNotification;
- (void)historyDidLoad:(NSNotification *)aNotification;
- (void)historyDidAddItems:(NSNotification *)aNotification;
- (void)historyDidRemoveItems:(NSNotification *)aNotification;
- (void)removeAllHistoryMenuItems;
- (void)addNewMenuItemForHistoryItem:(WebHistoryItem *)historyItem;
- (void)removeMenuItemForHistoryItem:(WebHistoryItem *)historyItem;
- (IBAction)clearHistory:(id)sender;
- (IBAction)goToHistoryItem:(id)sender;
@end
