//  MyDocument.h	MiniBrowser
//
//  Created by Nancy Craighill on Wed Mar 05 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//


@interface MyDocument : NSDocument
{
    IBOutlet id webView;
    IBOutlet id textField;
    IBOutlet id window;
    IBOutlet id backButton;
    IBOutlet id forwardButton;

    NSString *docTitle;
    NSString *frameStatus;
    NSString *resourceStatus;
    NSString *url;
    
    int resourceCount;
    int resourceFailedCount;
    int resourceCompletedCount;
}
- (IBAction)connectURL:(id)sender;
- (void)setFrameStatus: (NSString *)s;
- (void)setResourceStatus: (NSString *)s;
- (void)goToHistoryItem:(id)historyItem;
@end
